unit RebootNeeded.old;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls,
  TplLabelUnit, LCLIntf, Unix;

type

  { TForm5 }

  TForm5 = class(TForm)
    Button1     : TButton;
    Button2     : TButton;
    ListBox1    : TListBox;
    plURLLabel1 : TplURLLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure plURLLabel1Click(Sender: TObject);
  private

  public
        RebootNeededFlag  : boolean;

  end;

var
  Form5: TForm5;

implementation

{$R *.frm}

{ TForm5 }

procedure TForm5.plURLLabel1Click(Sender: TObject);
begin
     OpenUrl('https://gitlab.com/psposito/camera-control-webcam-switch-indicator/-/wikis/Project-History-and-other-Details#found-v4l2-limitations-forcing-for-reboot-when-v4l2-video-on-comes-to-number-60-it-is-mandatory-to-reboot-because-kernel-does-not-generate-more-devices-and-video-capture-is-not-possible');
end;

procedure TForm5.Button1Click(Sender: TObject);
begin
     FpSystem('reboot');
end;

procedure TForm5.Button2Click(Sender: TObject);
begin
     //Halt(0);
end;

procedure TForm5.FormCreate(Sender: TObject);
begin
     RebootNeeded.Form5.ListBox1.Items.Clear;
     RebootNeeded.Form5.ListBox1.Items.Add('The limit of 59 Hacking preventing On/Off');
     RebootNeeded.Form5.ListBox1.Items.Add('functions, has been reached.');
     RebootNeeded.Form5.ListBox1.Items.Add('');
     RebootNeeded.Form5.ListBox1.Items.Add('You must Reboot the System in Order to Reset');
     RebootNeeded.Form5.ListBox1.Items.Add('their number, otherwise the application will');
     RebootNeeded.Form5.ListBox1.Items.Add('not be effective.');
     RebootNeeded.Form5.ListBox1.Items.Add('');
     RebootNeeded.Form5.ListBox1.Items.Add('Please Save your opened Files & Close Windows');
     RebootNeeded.Form5.ListBox1.Items.Add('');
     RebootNeeded.Form5.ListBox1.Items.Add('Press Reboot or Quit to exit the Application');
     RebootNeeded.Form5.Show;   //RebootNeededDialog;
end;

end.
